@extends('installer.layouts.master')

@section('template_title')
  {{ trans('installer_messages.requirements.templateTitle') }}
@endsection

@section('title')
  <i class="fa fa-list-ul fa-fw" aria-hidden="true"></i>
  {{ trans('installer_messages.requirements.title') }}
@endsection

@section('container')
  @foreach ($requirements['requirements'] as $type => $requirement)
    <ul class="list">
      <li class="list__item list__title {{ $phpSupportInfo['supported'] ? 'success' : 'error' }}">
        <strong>{{ ucfirst($type) }}</strong>

        @if ($type == 'php')
          <strong>
            <small>
              @if ($phpSupportInfo['maximum'])
                (minimum {{ $phpSupportInfo['minimum'] . ' and bellow ' . $phpSupportInfo['maximum'] }} is required)
              @else
                (minimum {{ $phpSupportInfo['minimum'] }} is required)
              @endif
            </small>
          </strong>

          <span class="float-right">
            <strong>
              {{ $phpSupportInfo['current'] }}
            </strong>
            <i class="fa fa-fw fa-{{ $phpSupportInfo['supported'] ? 'check-circle-o' : 'exclamation-circle' }} row-icon" aria-hidden="true"></i>
          </span>
        @endif

      </li>
      @foreach ($requirements['requirements'][$type] as $extention => $enabled)
        <li class="list__item {{ $enabled ? 'success' : 'error' }}">
          {{ $extention }}
          <i class="fa fa-fw fa-{{ $enabled ? 'check-circle-o' : 'exclamation-circle' }} row-icon" aria-hidden="true"></i>
        </li>
      @endforeach
    </ul>
  @endforeach

  @if (!isset($requirements['errors']) && $phpSupportInfo['supported'])
    <div class="buttons">
      <a class="button" href="{{ route('Installer.permissions') }}">
        {{ trans('installer_messages.requirements.next') }}
        <i class="fa fa-angle-right fa-fw" aria-hidden="true"></i>
      </a>
    </div>
  @else
    <div class="alert alert-danger">
      <i class="fa fa-fw fa-exclamation-triangle" aria-hidden="true"></i>
      {{ trans('installer_messages.requirements.required') }}
    </div>
  @endif
@endsection
